Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2749703007: Add menu mode plumbing for WebVR mode. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months ago by cjgrant
Modified:
7 months ago
Reviewers:
mthiesse, tiborg
CC:
chromium-reviews, feature-vr-reviews_chromium.org, arv+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add menu mode plumbing for WebVR mode. - Allow the UI to suppress rendering of WebVR content. - Allow the UI to enable/disable the cursor. - Move API-related Javascript to the API module. - Other related cleanup. This change does not see menu mode work yet. crbug.com/703177 needs to be resolved first. BUG=687960 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2749703007 Cr-Commit-Position: refs/heads/master@{#458175} Committed: https://chromium.googlesource.com/chromium/src/+/314b385358094f67c6afaaf5dabe3cbe1955dbd4

Patch Set 1 #

Total comments: 26

Patch Set 2 : Address comments. #

Total comments: 5

Patch Set 3 : Remove invalid static_assert TODOs. Thanks Michael! #

Patch Set 4 : Rename JS WebVR rendering functions for clarity. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+118 lines, -53 lines) Patch
M chrome/browser/android/vr_shell/ui_scene.h View 1 4 chunks +5 lines, -5 lines 0 comments Download
M chrome/browser/android/vr_shell/ui_scene.cc View 1 3 chunks +10 lines, -9 lines 0 comments Download
M chrome/browser/android/vr_shell/vr_shell_gl.h View 1 1 chunk +4 lines, -3 lines 0 comments Download
M chrome/browser/android/vr_shell/vr_shell_gl.cc View 1 2 11 chunks +23 lines, -23 lines 0 comments Download
M chrome/browser/resources/vr_shell/vr_shell_ui.js View 1 2 3 3 chunks +6 lines, -4 lines 0 comments Download
M chrome/browser/resources/vr_shell/vr_shell_ui_api.js View 1 2 3 2 chunks +44 lines, -1 line 0 comments Download
M chrome/browser/resources/vr_shell/vr_shell_ui_scene.js View 1 2 3 1 chunk +26 lines, -8 lines 0 comments Download
Commit queue not available (can’t edit this change).

Depends on Patchset:

Messages

Total messages: 25 (9 generated)
cjgrant
Folks, a couple of notes: - This CL continues a CL started by Tibor (credit ...
7 months ago (2017-03-16 15:38:50 UTC) #3
cjgrant
Folks, a couple of notes: - This CL continues a CL started by Tibor (credit ...
7 months ago (2017-03-16 15:38:51 UTC) #4
cjgrant
https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/ui_scene.cc File chrome/browser/android/vr_shell/ui_scene.cc (right): https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/ui_scene.cc#newcode325 chrome/browser/android/vr_shell/ui_scene.cc:325: data->GetBoolean("drawWebVr", &webvr_rendering_enabled_); We could merge this with the action ...
7 months ago (2017-03-16 15:44:37 UTC) #5
tiborg
https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/ui_scene.cc File chrome/browser/android/vr_shell/ui_scene.cc (right): https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/ui_scene.cc#newcode325 chrome/browser/android/vr_shell/ui_scene.cc:325: data->GetBoolean("drawWebVr", &webvr_rendering_enabled_); On 2017/03/16 15:44:36, cjgrant wrote: > We ...
7 months ago (2017-03-16 19:40:23 UTC) #6
cjgrant
Couple of quick responses and an update: This CL exposes an issue in which WebVR ...
7 months ago (2017-03-16 21:21:51 UTC) #7
amp
https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/vr_shell_gl.cc File chrome/browser/android/vr_shell/vr_shell_gl.cc (right): https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/vr_shell_gl.cc#newcode913 chrome/browser/android/vr_shell/vr_shell_gl.cc:913: if (draw_cursor) On 2017/03/16 21:21:51, cjgrant wrote: > On ...
7 months ago (2017-03-17 00:26:46 UTC) #8
tiborg
https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/vr_shell_gl.cc File chrome/browser/android/vr_shell/vr_shell_gl.cc (right): https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/vr_shell_gl.cc#newcode705 chrome/browser/android/vr_shell/vr_shell_gl.cc:705: // TODO(cjgrant): Do not compare the constants on every ...
7 months ago (2017-03-17 15:13:44 UTC) #9
cjgrant
https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/ui_scene.cc File chrome/browser/android/vr_shell/ui_scene.cc (right): https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/ui_scene.cc#newcode325 chrome/browser/android/vr_shell/ui_scene.cc:325: data->GetBoolean("drawWebVr", &webvr_rendering_enabled_); On 2017/03/16 19:40:22, tiborg wrote: > On ...
7 months ago (2017-03-20 15:34:58 UTC) #10
tiborg
LGTM after the renaming. https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/ui_scene.cc File chrome/browser/android/vr_shell/ui_scene.cc (right): https://codereview.chromium.org/2749703007/diff/1/chrome/browser/android/vr_shell/ui_scene.cc#newcode325 chrome/browser/android/vr_shell/ui_scene.cc:325: data->GetBoolean("drawWebVr", &webvr_rendering_enabled_); On 2017/03/20 15:34:57, ...
7 months ago (2017-03-20 15:56:08 UTC) #11
mthiesse
https://codereview.chromium.org/2749703007/diff/20001/chrome/browser/android/vr_shell/ui_scene.cc File chrome/browser/android/vr_shell/ui_scene.cc (right): https://codereview.chromium.org/2749703007/diff/20001/chrome/browser/android/vr_shell/ui_scene.cc#newcode366 chrome/browser/android/vr_shell/ui_scene.cc:366: return webvr_rendering_enabled_; This defaulting to false is going to ...
7 months ago (2017-03-20 17:32:16 UTC) #12
mthiesse
lgtm https://codereview.chromium.org/2749703007/diff/20001/chrome/browser/android/vr_shell/ui_scene.cc File chrome/browser/android/vr_shell/ui_scene.cc (right): https://codereview.chromium.org/2749703007/diff/20001/chrome/browser/android/vr_shell/ui_scene.cc#newcode366 chrome/browser/android/vr_shell/ui_scene.cc:366: return webvr_rendering_enabled_; On 2017/03/20 17:32:16, mthiesse wrote: > ...
7 months ago (2017-03-20 17:38:34 UTC) #13
cjgrant
https://codereview.chromium.org/2749703007/diff/1/chrome/browser/resources/vr_shell/vr_shell_ui_api.js File chrome/browser/resources/vr_shell/vr_shell_ui_api.js (right): https://codereview.chromium.org/2749703007/diff/1/chrome/browser/resources/vr_shell/vr_shell_ui_api.js#newcode587 chrome/browser/resources/vr_shell/vr_shell_ui_api.js:587: setWebVrRenderingEnabled(enabled) { On 2017/03/20 15:56:08, tiborg wrote: > On ...
7 months ago (2017-03-20 17:57:22 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2749703007/60001
7 months ago (2017-03-20 18:01:26 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/387036)
7 months ago (2017-03-20 19:27:12 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2749703007/60001
7 months ago (2017-03-20 19:52:56 UTC) #22
commit-bot: I haz the power
7 months ago (2017-03-20 20:46:34 UTC) #25
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/314b385358094f67c6afaaf5dabe...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa